let config:any = {};

switch (ENV) {
	case 'development':
	default:
		// UIs
		config.UNITY_UI = 'http://local.unity.com:3000';
		config.CONTROL_POINT_UI = 'http://local.controlpoint.com:3001';
		config.FILE_POINT_UI = '';
		config.PIN_POINT_UI = '';
		config.RATE_POINT_UI = '';
		config.TAXTIONARY_UI = '';
		config.WEISSMAN_UI = '';

		// APIs
		config.UNITY_API = 'http://local.unity.com:60085/unityapi';
		config.CONTROL_POINT_API = 'http://local.controlpoint.com:56920/controlpointapi';
		
		break;
	
	case 'production':
		// UIs
		config.UNITY_API = 'http://dev.unity.com';
		config.CONTROL_POINT_UI = 'http://dev.controlpoint.com';
		config.FILE_POINT_UI = '';
		config.PIN_POINT_UI = '';
		config.RATE_POINT_UI = '';
		config.TAXTIONARY_UI = '';
		config.WEISSMAN_UI = '';

		// APIs
		config.UNITY_API = 'http://dev.unity.com/unityapi';
		config.CONTROL_POINT_API = 'http://dev.controlpoint.com/controlpointapi';
	
		break;
}

export let Config = config;