/**
 * Wrapper for third party logger library.
 */
export declare class SDLogger {
    constructor();
    /**
     * Disables all logging below the given level.
     * @param level  Log Level to be applied in this order: trace, debug, info, warn, error
     */
    setLevel(level: string): void;
    /**
     * @param msg  Message output in the console.
     */
    trace(msg: string): void;
    /**
     * @param msg  Message output in the console.
     */
    debug(msg: string): void;
    /**
     * @param msg  Message output in the console.
     */
    info(msg: string): void;
    /**
     * @param msg  Message output in the console.
     */
    warn(msg: string): void;
    /**
     * @param msg  Message output in the console.
     */
    error(msg: string): void;
}
