import {Injectable, OnInit} from 'angular2/core';
// This is a simple structure to persist the current member login status. When a user
// logs in, the response gets mapped to this structure if successful.
@Injectable()
export class Credentials implements OnInit {
  access_token: string = '';
  token_type: string = '';
  expires_in: number = 0;
  refresh_token: string = '';
  scope: string = '';

  constructor() {

  } 

  ngOnInit() {
    this.access_token = '';
    this.token_type = '';
    this.expires_in = 0;
    this.refresh_token = '';
    this.scope = '';
  }
}