var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('angular2/core');
// Angular 2 service for logging is not currently available, so we use loglevel for now.
// for more details about loglevel go to https://www.npmjs.com/package/loglevel
var log = require('loglevel');
/**
 * Wrapper for third party logger library.
 */
var SDLogger = (function () {
    function SDLogger() {
    }
    /**
     * Disables all logging below the given level.
     * @param level  Log Level to be applied in this order: trace, debug, info, warn, error
     */
    SDLogger.prototype.setLevel = function (level) {
        log.setLevel(level);
    };
    /**
     * @param msg  Message output in the console.
     */
    SDLogger.prototype.trace = function (msg) {
        log.trace(msg);
    };
    /**
     * @param msg  Message output in the console.
     */
    SDLogger.prototype.debug = function (msg) {
        log.debug(msg);
    };
    /**
     * @param msg  Message output in the console.
     */
    SDLogger.prototype.info = function (msg) {
        log.info(msg);
    };
    /**
     * @param msg  Message output in the console.
     */
    SDLogger.prototype.warn = function (msg) {
        log.warn(msg);
    };
    /**
     * @param msg  Message output in the console.
     */
    SDLogger.prototype.error = function (msg) {
        log.error(msg);
    };
    SDLogger = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], SDLogger);
    return SDLogger;
})();
exports.SDLogger = SDLogger;
//# sourceMappingURL=logger.js.map